#ifndef ISYSTEMMONITORPLUGIN_H
#define ISYSTEMMONITORPLUGIN_H

#include <QObject>
#include <Process.h>

namespace gtop_wrappers {
    class ProcessFiller;
}

class ISystemMonitorPlugin
{
public:
    virtual ~ISystemMonitorPlugin() {}

    virtual bool init(gtop_wrappers::ProcessFiller* processFiller) = 0;
    virtual void fill(gtop_wrappers::ProcessMap* processMap) = 0;
};

Q_DECLARE_INTERFACE(ISystemMonitorPlugin, "ru.rusbitech.fly-system-monitor.ISystemMonitorPlugin/1.0")

#endif
